% Lec2_example_PDF
%
% visualizes the PDF of white noise and compares it with a uniform
% distribution
%
% Alfred C. Schouten
% February 16, 2011
clear all
close all
clc

% default values and time vector
dt=0.01;        % sample frequency
N=4000;         % # of samples
t=(0:N-1).'*dt; % time vector
u_w=randn(N,1); % white noise (normal distribution)
u_n=0.5-rand(N,1);% uniform distribution around 0
ustd_n=std(u_n);
u_n=u_n/ustd_n; % scale to have std=1 

figure
subplot(221),plot(t,u_w),ylabel('signal x'),xlabel('time [s]')
v_1=axis;
title('white noise')
subplot(223),hist(u_w,20),ylabel('PDF'),xlabel('x')
v_2=axis;

subplot(222),plot(t,u_n),xlabel('time [s]')
axis(v_1)
title('uniform distribution')
subplot(224),hist(u_n,20),xlabel('x')
axis(v_2)
